# 1.26.0[−][src]Module core::ascii

Operations on ASCII strings and characters.

Most string operations in Rust act on UTF-8 strings. However, at times it makes more sense to only consider the ASCII character set for a specific operation.

The `escape_default` function provides an iterator over the bytes of an escaped version of the character given.

## Structs

EscapeDefault | An iterator over the escaped version of a byte.

## Functions

escape_default | Returns an iterator that produces an escaped version of a `u8`.